<?php ob_start();
error_reporting(0);
require("../../config/koneksi.php");
require("../../config/function.php");
require("../../config/crud.php");
session_start();
if (!isset($_SESSION['id_user'])) {
    die('Anda tidak diijinkan mengakses langsung');
}
$tp=date('Y');
$tpk=$tp+1;
$tpm=$tp-1;
$tanggal=date('d');
$bln=date('m');
$hari=date('D');
$seting = fetch($koneksi, 'setting', ['id_setting' => 1]);
$hariQ = fetch($koneksi, 'm_hari', ['inggris' => $hari]);
$bulanQ = fetch($koneksi, 'bulan', ['bln' => $bln]);
$rapor=fetch($koneksi,'setting_rapor',['id' => 1]);
$jumlah = mysqli_fetch_array(mysqli_query($koneksi, "select SUM(suara) AS jumlah FROM kandidat"));
?>
<!DOCTYPE html>
<html>

<head>
    <meta charset='utf-8'>

    <title>BA</title>
<link rel="stylesheet" href="../../plugins/bootstrap/dist/css/bootstrap.min.css">
</head>
<style>
@page { margin: 20px; }
body { margin: 20px; }
</style>
<body style="font-size: 13px;">
    
   <center>
        <h6>BERITA ACARA PEMILIHAN<br>KETUA OSIS<br>TAHUN <?= $tp ?> - <?= $tpk ?><br><br><?= strtoupper($seting['sekolah']) ?></h6>
		
    </center>
  
    <br>
  
    <div class="col-md-12">
	  
        <table  width="100%">
          <tr>
		  <td>
		  Pada hari <?= $hariQ['hari'] ?> Tanggal <?= $tanggal ?> <?= $bulanQ['ket'] ?> <?= $tp ?>, telah dilaksanakan Pemilihan Ketua Organisasi Intra Sekolah (OSIS) <?= strtoupper($seting['sekolah']) ?> Tahun Pelajaran
		  <?= $tp ?> - <?= $tpk ?> dengan jumlah daftar pemilih <?php echo $jumlah['jumlah']; ?> siswa/i dan rincian hasil sebagai berikut :
		  </td>
		  </tr>
        </table>
		<br>
		 <div class='table-responsive'>
           <table width="100%" border="1">
		 <thead>
          <tr>
		<th width="5%"><center>NO URUT</center></th>
		<th><center>NAMA CALON</center></th>
		<th><center>JABATAN CALON</center></th>
		<th width="5%"><center>JUMLAH SUARA</center></th>
		</tr>
		 </thead>
		 <tbody>
		 <?php
		 $no=0;
		  $kandidat = mysqli_query($koneksi, "SELECT * FROM kandidat ORDER BY nomor ASC ");
         while ($hasil = mysqli_fetch_array($kandidat)){
		$siswa=fetch($koneksi,'siswa',['id_siswa'=>$hasil['idsiswa']]);
		$wakil=fetch($koneksi,'siswa',['id_siswa'=>$hasil['wakil']]);	
			   $no++;
		 ?>
		 <tr>
                                    <td style="text-align:center;height:30px"><?= $no; ?></td>
                                    <td>&nbsp;&nbsp;<?= strtoupper($siswa['nama']) ?></td>
                                    <td>&nbsp;&nbsp;Ketua OSIS</td>
									<td style="text-align:center"><?= $hasil['suara'] ?></td>
									
                                </tr>
							
                            <?php } ?>

                        </tbody>
                    </table>
					<?php
					 $ade = mysqli_query($koneksi, "SELECT * FROM kandidat ORDER BY suara DESC LIMIT 1");
					  while ($edi = mysqli_fetch_array($ade)){
					 $siswaQ=fetch($koneksi,'siswa',['id_siswa'=>$edi['idsiswa']]);
		           
		?>
		<br>
					Dengan demikian No Urut <?= $edi['nomor'] ?> Atas Nama <?= strtoupper($siswaQ['nama']) ?>
					 berhak menjadi Ketua OSIS Periode <?= $tp ?> - <?= $tpk ?>
					 <?php } ?>
					
		</div>
		<br><br>
        <table width="100%" style="text-align: center;">
            <tr>
             
               <td style="text-align: center;width:40%">
			   
                     <br>
                    Ketua OSIS Periode <?= $tpm ?> - <?= $tp ?>

                        <br><br><br><br>
                    
                    ................................................
                    <br>
                  
                </td>
             <td style="text-align: center;width:20%"> </td>
                <td style="text-align: center;width:40%">
                    
               
                    <?= $setting['kecamatan'] ?>, <?= $tanggal ?> <?= $bulanQ['ket'] ?> <?= $tp ?> <br>
                    Sekretaris OSIS Periode <?= $tpm ?> - <?= $tp ?>

                   
                        <br><br><br><br>
                    

                    ................................................
                    <br>
                  
                        <br>
                        
                   
                </td>

            </tr>
			<tr>
             
               <td style="text-align: center;width:40%">
			   
                     <br>
                    Pembina OSIS 

                        <br><br><br><br>
                    
                    ................................................
                    <br>
                  
                </td>
             <td style="text-align: center;width:20%">
			  <br>
			 Mengetahui, 
			  <br><br><br><br><br>
			 </td>
			 
                <td style="text-align: center;width:40%">
                    
               <br>
                    Kepala Sekolah

                   
                        <br><br><br><br>
                    

                    ................................................
                    <br>
                  
                      
                   
                </td>

            </tr>
        </table>
        
</body>

</html>
<?php

$html = ob_get_clean();
require_once '../../vendors/autoload.php';

use Dompdf\Dompdf;

$dompdf = new Dompdf();
$dompdf->loadHtml($html);
$dompdf->setPaper('A4', 'portrait');
$dompdf->render();
$dompdf->stream("Raport_" . $siswa['nama'] . ".pdf", array("Attachment" => false));
exit(0);
?>